package com.tutorial.struts.actions;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import java.util.List;

// Imports de clases propias de la aplicacin.
import com.tutorial.struts.CustomBaseAction;
import com.tutorial.struts.vo.ProductoVO;
import com.tutorial.struts.service.ICarritoService;

public class GetListaProductoAction extends CustomBaseAction 
{
	public ActionForward execute(ActionMapping mapping, ActionForm form,
                                 HttpServletRequest request, HttpServletResponse response)
   								 throws Exception 
	{
    	// Creamos el servicio para obtener la lista de productos.
    	ICarritoService serviceImpl = getCarritoService();
	    List listaProducto = serviceImpl.getListaProducto();
	
	    // Almacenamos el resultado en la sesin.
	    request.setAttribute("ListaProductoKey", listaProducto);
	
	    // Devolvemos el Action Forward para el caso de Success.
	    return mapping.findForward("Success");
  	}
}
